# Uses of Class
org.globus.gsi.provider.SigningPolicyStoreException

Packages that use SigningPolicyStoreException
Package
Description
org.globus.gsi.provider
org.globus.gsi.provider.simple
org.globus.gsi.stores
This package provides classes for accessing security material from generic "stores" (which can be defined via a url).

## Uses of SigningPolicyStoreException in org.globus.gsi.provider

Methods in org.globus.gsi.provider that throw SigningPolicyStoreException
Modifier and Type
Method
Description
`SigningPolicy`
SigningPolicyStore.`getSigningPolicy(X500Principal caPrincipal)`
JGLOBUS-87

## Uses of SigningPolicyStoreException in org.globus.gsi.provider.simple

Methods in org.globus.gsi.provider.simple that throw SigningPolicyStoreException
Modifier and Type
Method
Description
`SigningPolicy`
SimpleMemorySigningPolicyStore.`getSigningPolicy(X500Principal caPrincipal)`
Deprecated.

## Uses of SigningPolicyStoreException in org.globus.gsi.stores

Methods in org.globus.gsi.stores that throw SigningPolicyStoreException
Modifier and Type
Method
Description
`Collection<SigningPolicy>`
ResourceSigningPolicy.`getSigningPolicies()`
`SigningPolicy`
ResourceSigningPolicyStore.`getSigningPolicy(X500Principal caPrincipal)`